=== debian/changelog ===
zip (3.0-8) unstable; urgency=low

  * Dropped copyright sentence saying zcrypt was in the public domain.
    The whole zip package is now under Info-ZIP license.
  * Added recommended targets build-arch and build-indep.
  * Dropped obsolete Conflicts and Replaces on zip-crypt, for which
    the last version was a dummy transitional package.
  * The copyright file is generated from copyright.in at build time.
    Added lintian override for no-debian-copyright.

 -- Santiago Vila <sanvila@debian.org>  Mon, 14 Oct 2013 18:51:24 +0200

zip (3.0-7) unstable; urgency=low

  * Use the right strip command when cross-building. Closes: #695429.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Feb 2013 17:12:14 +0100

zip (3.0-6) unstable; urgency=low

  * Added Multi-Arch: foreign.

 -- Santiago Vila <sanvila@debian.org>  Sat, 30 Jun 2012 14:20:38 +0200

zip (3.0-5) unstable; urgency=low

  * Build with hardening flags. Closes: #673476.

 -- Santiago Vila <sanvila@debian.org>  Mon, 21 May 2012 19:17:26 +0200

zip (3.0-4) unstable; urgency=low

  * zipnote.c: Close `in_file' instead of undefined file `x'.
    Should make zipnote to work again. Closes: #628594.

 -- Santiago Vila <sanvila@debian.org>  Thu, 09 Jun 2011 15:30:08 +0200

zip (3.0-3) unstable; urgency=low

  * Added homepage field to control file.
  * Switch to 3.0 (quilt) source format.
  * Support cross-build.

 -- Santiago Vila <sanvila@debian.org>  Sun, 21 Feb 2010 17:08:02 +0100

zip (3.0-2) unstable; urgency=low

  * Fixed two manpage spelling errors (lintian warning).
  * Mark old changelog entries as such (lintian warning).
  * Remove .comment section from executables (lintian warning).
  * Added stack markings to avoid executable stack. Closes: #528280.
  * Added bzip2 support. Use "-Z bzip2" on the command line to enable it.

 -- Santiago Vila <sanvila@debian.org>  Mon, 08 Feb 2010 17:51:18 +0100

zip (3.0-1) unstable; urgency=low

  * New upstream release. Closes: #496986, #520562.
  * This release has large file support. Closes: #308345.
  * zipcloak, zipnote and zipsplit have now manpages. Closes: #411828.
  * Warning: If you use any of the new features, you might need unzip 6.0
    (not released yet) for unzipping. You have been warned.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Apr 2009 20:27:34 +0200
