=== debian/control ===
Source: zip
Section: utils
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.4
Build-Depends: libbz2-dev
Homepage: http://www.info-zip.org/Zip.html

Package: zip
Architecture: any
Depends: ${shlibs:Depends}
Recommends: unzip
Multi-Arch: foreign
Description: Archiver for .zip files
 This is InfoZIP's zip program. It produces files that are fully
 compatible with the popular PKZIP program; however, the command line
 options are not identical. In other words, the end result is the same,
 but the methods differ. :-)
 .
 This version supports encryption.
