## zip 3.0-1maemo3

=== debian/changelog ===
zip (3.0-1maemo3) fremantle; urgency=low

  * Updated to latest source code
  * Optified for fremantle
  * Renamed to zip for simplicity, because unzip6 is already unzip

 -- Andrew Zabolotny <zap@homelink.ru>  Sun,  7 Nov 2010 10:33:20 +0300

zip3 (3.0-1maemo2) hardy; urgency=low

  * Increased version number to force builder to re-index the package

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 09 Aug 2008 18:03:59 +0400

zip3 (3.0-1maemo1) diablo; urgency=low

  * The first ever package of Zip 3.0 for Maemo

 -- Andrew Zabolotny <zap@homelink.ru>  Thu, 31 Jul 2008 02:31:25 +0400
