## zip 3.0-1maemo4

=== debian/changelog ===
zip (3.0-1maemo4) fremantle; urgency=low

  * Fixed section to user/utilities
  * Added XSBC-Bugtracker to control file

 -- Andrew Zabolotny <zap@homelink.ru>  Sun,  7 Nov 2010 18:29:20 +0300
