## zip 3.0-1maemo5

=== debian/changelog ===
zip (3.0-1maemo5) fremantle; urgency=low

  * Fixed support for bzip2 compression (was supposed to be enabled,
    in fact was not). Use -Z bzip2 to compress files in .zip archives
    with bzip2 algorithm.

 -- Andrew Zabolotny <zap@homelink.ru>  Tue,  9 Nov 2010 02:54:40 +0300
