=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Bugtracker: mailto:zap@homelink.ru
 XSBC-Original-Maintainer: Daniel Martin Yerga <dyerga@gmail.com>, Danny Milosavljevic <danny.milo@gmx.net>
 Standards-Version: 3.6.1
-Build-Depends: libbz2-1.0
+Build-Depends: libbz2-dev
 
 Package: zip
 Architecture: any
