## zip 3.0-4+6.0trisquel1

=== debian/changelog ===
zip (3.0-4+6.0trisquel1) toutatis; urgency=low

  * Removed proprietary suggestions from the manual file     Closes
    #6711

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 02 Feb 2013 23:26:22 +0000
