=== debian/control ===
Source: zip
Section: utils
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Standards-Version: 3.9.2
Build-Depends: libbz2-dev
Homepage: http://www.info-zip.org/Zip.html

Package: zip
Architecture: any
Depends: ${shlibs:Depends}
Recommends: unzip
Conflicts: zip-crypt (<= 2.30-2)
Replaces: zip-crypt (<= 2.30-2)
Description: Archiver for .zip files
 This is InfoZIP's zip program. It produces files that are fully
 compatible with the popular PKZIP program; however, the command line
 options are not identical. In other words, the end result is the same,
 but the methods differ. :-)
 .
 This version supports encryption.
