## zip 3.0-13ubuntu0.2trisquel1

=== debian/changelog ===
zip (3.0-13ubuntu0.2trisquel1) ecne; urgency=medium

  * Removed proprietary suggestions from the manual file     Closes
    #6711

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 07 Feb 2025 06:38:47 +0000

zip (3.0-13ubuntu0.2) noble; urgency=medium

  * d/p/13-buffer-overflow.patch:
    Fix buffer overflow when invoked with `-T -TT` (LP: #2093024)
  * d/tests: Add a basic dep8 test for the two recent bugs fixed.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Wed, 22 Jan 2025 10:00:33 +0100

zip (3.0-13ubuntu0.1) noble; urgency=medium

  * d/p/13-buffer-overflow.patch: Fix buffer overflow when filename contains
    unicode characters (LP: #2062535)

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Fri, 01 Nov 2024 00:25:05 +0800

zip (3.0-13build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:24:10 +0200

zip (3.0-13) unstable; urgency=medium

  * Drop debian/source/lintian-overrides, obsolete since version 3.0-11.
  * Update URI for Info-ZIP license in copyright file.
  * Update standards version to 4.6.2.
  * Rules-Requires-Root: no.
  * Run wrap-and-sort.
  * Update Homepage.

 -- Santiago Vila <sanvila@debian.org>  Sun, 19 Feb 2023 19:00:00 +0100

zip (3.0-12) unstable; urgency=medium

  * Rename all debian/patches/* to have .patch ending.
  * Fix manpage typo (amgibuities -> ambiguities).
  * Update dependency on debhelper.

 -- Santiago Vila <sanvila@debian.org>  Tue, 02 Feb 2021 22:47:00 +0100

zip (3.0-11) unstable; urgency=medium

  * Ship a debian/copyright file in source package instead of generating
    it a build time. Closes: #795569.

 -- Santiago Vila <sanvila@debian.org>  Sun, 16 Aug 2015 23:38:04 +0200

zip (3.0-10) unstable; urgency=medium

  * Remove build date embedded in binary to make the build reproducible.
    One should really look at jenkins.debian.net. Closes: #779042.

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 May 2015 15:35:52 +0200

zip (3.0-9) unstable; urgency=medium

  * Switch to dh. Package should now build reproducibly. Closes: #779042.

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 May 2015 12:41:32 +0200
