=== debian/control ===
Source: zip
Section: utils
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), libbz2-dev
Homepage: https://infozip.sourceforge.net/Zip.html
Rules-Requires-Root: no

Package: zip
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: unzip
Multi-Arch: foreign
Description: Archiver for .zip files
 This is InfoZIP's zip program. It produces files that are fully
 compatible with the popular PKZIP program; however, the command line
 options are not identical. In other words, the end result is the same,
 but the methods differ. :-)
 .
 This version supports encryption.
