## zip 3.0.1

=== debian/changelog ===
zip (3.0.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: efb2962235314924648a767354886eb8d2f61e87']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:50:57 +0000
